<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: ArgTable Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classArgTable-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ArgTable Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aab91f2cad24387f6c8d14525323a46c4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classArgTable.html#aab91f2cad24387f6c8d14525323a46c4">ArgTable</a> ()</td></tr>
<tr class="separator:aab91f2cad24387f6c8d14525323a46c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61e85b248b376b0464d2164b1ed4ee38"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classArgTable.html#a61e85b248b376b0464d2164b1ed4ee38">~ArgTable</a> ()</td></tr>
<tr class="separator:a61e85b248b376b0464d2164b1ed4ee38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9765c4c50df734ef014c740090ed408"><td class="memItemLeft" align="right" valign="top"><a id="af9765c4c50df734ef014c740090ed408"></a>
<a class="el" href="classArgTableEntry__Date.html">ArgTableEntry_Date</a>&#160;</td><td class="memItemRight" valign="bottom"><b>addDate</b> (std::string name, std::string shortopts, std::string longopts, std::string glossary)</td></tr>
<tr class="separator:af9765c4c50df734ef014c740090ed408"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ee72e7e35a1f9504573091ed6845d0c"><td class="memItemLeft" align="right" valign="top"><a id="a3ee72e7e35a1f9504573091ed6845d0c"></a>
<a class="el" href="classArgTableEntry__Double.html">ArgTableEntry_Double</a>&#160;</td><td class="memItemRight" valign="bottom"><b>addDouble</b> (std::string name, std::string shortopts, std::string longopts, std::string glossary)</td></tr>
<tr class="separator:a3ee72e7e35a1f9504573091ed6845d0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7d64652a1148a18cf6fd4fc37e63a41"><td class="memItemLeft" align="right" valign="top"><a id="aa7d64652a1148a18cf6fd4fc37e63a41"></a>
<a class="el" href="classArgTableEntry__File.html">ArgTableEntry_File</a>&#160;</td><td class="memItemRight" valign="bottom"><b>addFile</b> (std::string name, std::string shortopts, std::string longopts, std::string glossary)</td></tr>
<tr class="separator:aa7d64652a1148a18cf6fd4fc37e63a41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a735b85168b7499c9e95b1f0634a5b653"><td class="memItemLeft" align="right" valign="top"><a id="a735b85168b7499c9e95b1f0634a5b653"></a>
<a class="el" href="classArgTableEntry__Int.html">ArgTableEntry_Int</a>&#160;</td><td class="memItemRight" valign="bottom"><b>addInt</b> (std::string name, std::string shortopts, std::string longopts, std::string glossary)</td></tr>
<tr class="separator:a735b85168b7499c9e95b1f0634a5b653"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e6d8d4b6ba9fb38ab5e99d8238185a3"><td class="memItemLeft" align="right" valign="top"><a id="a4e6d8d4b6ba9fb38ab5e99d8238185a3"></a>
<a class="el" href="classArgTableEntry__Lit.html">ArgTableEntry_Lit</a>&#160;</td><td class="memItemRight" valign="bottom"><b>addLit</b> (std::string name, std::string shortopts, std::string longopts, std::string glossary)</td></tr>
<tr class="separator:a4e6d8d4b6ba9fb38ab5e99d8238185a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8a1da14216ba2b69103d25e55b9085a"><td class="memItemLeft" align="right" valign="top"><a id="af8a1da14216ba2b69103d25e55b9085a"></a>
<a class="el" href="classArgTableEntry__String.html">ArgTableEntry_String</a>&#160;</td><td class="memItemRight" valign="bottom"><b>addString</b> (std::string name, std::string shortopts, std::string longopts, std::string glossary, int min, int max)</td></tr>
<tr class="separator:af8a1da14216ba2b69103d25e55b9085a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5328ed494091f6118a50248bf48ee31"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classArgTable.html#aa5328ed494091f6118a50248bf48ee31">parse</a> (int argc, char *argv[])</td></tr>
<tr class="separator:aa5328ed494091f6118a50248bf48ee31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec91d700dc0ffb3408074f3c87c78631"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classArgTable.html#aec91d700dc0ffb3408074f3c87c78631">printErrors</a> (FILE *fp, std::string progName=&quot;&quot;)</td></tr>
<tr class="separator:aec91d700dc0ffb3408074f3c87c78631"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aab91f2cad24387f6c8d14525323a46c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab91f2cad24387f6c8d14525323a46c4">&#9670;&nbsp;</a></span>ArgTable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ArgTable::ArgTable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Example: Argtable argtable; argtable.addString("myparam", "l", "list", "Get Listings"); argtable.parse(argc, argv); ArgTableEntry_String* pStr = (ArgTableEntry_String*)argTable.get("myparam"); pStr-&gt;getValue();Argtable instance constructor. </p>

</div>
</div>
<a id="a61e85b248b376b0464d2164b1ed4ee38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61e85b248b376b0464d2164b1ed4ee38">&#9670;&nbsp;</a></span>~ArgTable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ArgTable::~ArgTable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Argtable instance destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa5328ed494091f6118a50248bf48ee31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5328ed494091f6118a50248bf48ee31">&#9670;&nbsp;</a></span>parse()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ArgTable::parse </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>argv</em>[]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Parse the input and output parameters against this argtable. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">argc</td><td>A count of the number of parameters. </td></tr>
    <tr><td class="paramname">argv</td><td>An array of string parameters. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The number of errors detected. </dd></dl>

</div>
</div>
<a id="aec91d700dc0ffb3408074f3c87c78631"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec91d700dc0ffb3408074f3c87c78631">&#9670;&nbsp;</a></span>printErrors()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ArgTable::printErrors </td>
          <td>(</td>
          <td class="paramtype">FILE *&#160;</td>
          <td class="paramname"><em>fp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>progName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Print any errors associated with the parsing. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="Console_8h_source.html">Console.h</a></li>
<li>Console.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
